import Container from './Container';
import IClassBinding from '../Contracts/Container/IClassBinding';
import { Identifier, Instantiable } from '../Support/types';
declare class ClassBinding implements IClassBinding {
    protected _container: Container;
    constructor(container: Container);
    getClosure<U, V>(abstract: Identifier<U>, concrete: Instantiable<V>): Function;
}
export default ClassBinding;
