import Container from './Container';
import IContextualBinder from '../Contracts/Container/IContextualBinder';
import { Identifier } from '../Support/types';
declare class ContextualBinder implements IContextualBinder {
    protected _container: Container;
    protected _contextual: any;
    constructor(container: Container);
    addContextualBinding<T>(concrete: any, abstract: Identifier<T>, implementation: any): void;
    getContextualConcrete<T>(abstract: Identifier<T>): any;
    protected _findInContextualBindings<T>(abstract: Identifier<T>): any;
}
export default ContextualBinder;
