import Container from './Container';
import IExtenderManager from '../Contracts/Container/IExtenderManager';
import { Identifier } from '../Support/types';
declare class ExtenderManager implements IExtenderManager {
    protected _container: Container;
    protected _extenders: Map<any, Function[]>;
    constructor(container: Container);
    extend<T>(abstract: Identifier<T>, closure: Function): void;
    forgetExtenders<T>(abstract: Identifier<T>): void;
    hasExtenders<T>(abstract: Identifier<T>): boolean;
    getExtenders<T>(abstract: Identifier<T>): Function[] | undefined;
}
export default ExtenderManager;
