import Container from './Container';
import IInstanceSharer from '../Contracts/Container/IInstanceSharer';
import { Identifier } from '../Support/types';
declare class InstanceSharer implements IInstanceSharer {
    protected _container: Container;
    protected _instances: Map<any, any>;
    constructor(container: Container);
    instance<U, V>(abstract: Identifier<U>, instance: V): V;
    hasInstance<T>(abstract: Identifier<T>): boolean;
    forgetInstance<T>(abstract: Identifier<T>): void;
    forgetInstances(): void;
    hasSharedInstance<T>(abstract: Identifier<T>): boolean;
    getSharedInstance<T>(abstract: Identifier<T>): any;
    addSharedInstance<T>(abstract: Identifier<T>, implementation: any): void;
}
export default InstanceSharer;
