import Container from './Container';
import IMethodBinder from '../Contracts/Container/IMethodBinder';
import { Instantiable } from '../Support/types';
declare class MethodBinder implements IMethodBinder {
    protected _methodBindings: Map<string, Function>;
    protected _container: Container;
    constructor(container: Container);
    hasMethodBinding(method: string): boolean;
    bindMethod<T>(method: [Instantiable<T>, string] | string, callback: Function): void;
    callMethodBinding(method: string, instance: any): any;
    protected _parseBindMethod<T>(method: [Instantiable<T>, string] | string): string;
}
export default MethodBinder;
