import IFunctionAnalyser from '../../../Contracts/Parsing/IFunctionAnalyser';
import IParameterAnalyser from '../../../Contracts/Parsing/IParameterAnalyser';
declare abstract class AbstractMethodAnalyser implements IFunctionAnalyser {
    protected _ast: any;
    private _target;
    private _parameterAnalyser;
    constructor(ast: any, target: any);
    hasParameters(): boolean;
    hasBody(): boolean;
    getParameterAnalyser(): IParameterAnalyser;
}
export default AbstractMethodAnalyser;
