import Container from './Container';
import IAliaser from '../Contracts/Container/IAliaser';
import { Identifier } from '../Support/types';
declare class Aliaser implements IAliaser {
    protected _container: Container;
    protected _aliases: Map<any, any>;
    protected _abstractAliases: Map<any, any[]>;
    constructor(container: Container);
    isAlias<T>(name: Identifier<T>): boolean;
    alias<U, V>(abstract: Identifier<U>, alias: Identifier<V>): void;
    getAlias<T>(abstract: Identifier<T>): Identifier<any>;
    forgetAlias<T>(abstract: Identifier<T>): void;
    forgetAliases(): void;
    forgetAbstractAliases(): void;
    removeAbstractAlias<T>(searched: Identifier<T>): void;
    hasAbstractAlias<T>(abstract: Identifier<T>): boolean;
    getAbstractAlias<T>(abstract: Identifier<T>): any[] | undefined;
}
export default Aliaser;
