import Container from './Container';
import IContextualBindingManager from '../Contracts/Container/IContextualBindingManager';
import { Identifier } from '../Support/types';
declare class ContextualBindingManager implements IContextualBindingManager {
    protected _container: Container;
    protected _contextual: any;
    constructor(container: Container);
    addContextualBinding<T>(concrete: any, abstract: Identifier<T>, implementation: any): void;
    getContextualConcrete<T>(abstract: Identifier<T>): any;
    protected _findInContextualBindings<T>(abstract: Identifier<T>): any;
}
export default ContextualBindingManager;
