import Container from './Container';
import ITagger from '../Contracts/Container/ITagger';
import { Identifier } from '../Support/types';
declare class Tagger implements ITagger {
    protected _container: Container;
    protected _tags: Map<string, any[]>;
    constructor(container: Container);
    tag<T>(abstracts: Identifier<T>[] | Identifier<T>, tags: string[]): void;
    tagged(tag: string): any[];
}
export default Tagger;
