import { Identifier } from '../../Support/types';
interface IAliasManager {
    isAlias<T>(name: Identifier<T>): boolean;
    alias<U, V>(abstract: Identifier<U>, alias: Identifier<V>): void;
    getAlias<T>(abstract: Identifier<T>): Identifier<any>;
    deleteAlias<T>(abstract: Identifier<T>): void;
    clearAliases(): void;
    clearAbstractAliases(): void;
    removeAbstractAlias<T>(searched: Identifier<T>): void;
    hasAbstractAlias<T>(abstract: Identifier<T>): boolean;
    getAbstractAlias<T>(abstract: Identifier<T>): any[] | undefined;
}
export default IAliasManager;
