import { Identifier } from '../../Support/types';
interface IExtenderManager {
    extend<T>(abstract: Identifier<T>, closure: Function): void;
    forgetExtenders<T>(abstract: Identifier<T>): void;
    hasExtenders<T>(abstract: Identifier<T>): boolean;
    getExtenders<T>(abstract: Identifier<T>): Function[] | undefined;
}
export default IExtenderManager;
