import IFunctionAnalyser from '../../Contracts/Parsing/IFunctionAnalyser';
import ParameterDescriptor from '../../Descriptors/ParameterDescriptor';
declare abstract class AbstractClassAnalyser {
    abstract getConstructorAnalyser(target: any): IFunctionAnalyser | undefined;
    abstract getMethodAnalyser(target: any, name: string): IFunctionAnalyser | undefined;
    getConstructorParameters(target: any): ParameterDescriptor[] | undefined;
    getMethodParameters(target: any, name: string): ParameterDescriptor[] | undefined;
}
export default AbstractClassAnalyser;
